> For the complete documentation index, see [llms.txt](https://docs.videc.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.videc.de/acron-9.3/en/intro/funktionen/funk_batch.md).

# Event processing functions

The Event Processing group contains functions that you use to access event processing data from the database. In the group you will find the following functions:

The first column of the table contains the name of the function as you enter it in an expression. The second column contains the data types of the argument(s), and the third column contains the data type of the function's return value.

| Function                                       | Arguments                                | Return value |
| ---------------------------------------------- | ---------------------------------------- | ------------ |
| [GetEventCount](#func_geteventcount)           | (STRING, STRING)                         | NUMBER       |
| [GetEventStartValue](#func_geteventstartvalue) | (STRING, STRING, NUMBER, STRING, NUMBER) | NUMBER       |
| [GetEventStopValue](#func_geteventstopvalue)   | (STRING, STRING, NUMBER, STRING, NUMBER) | NUMBER       |

## GetEventCount function <a href="#func_geteventcount" id="func_geteventcount"></a>

|               |                                                                                                                         |
| ------------- | ----------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | NUMBER GetEventCount (STRING, STRING)                                                                                   |
| Parameters:   | <ul><li>Event identification, e.g."EVENT\_1"</li><li>Step identification, if reference to event, otherwise ""</li></ul> |
| Return value: | Number of events.                                                                                                       |
| Description:  | Number of events triggered within the time frame.                                                                       |
| Example:      | <ul><li>GetEventCount ("EVENT\_1", "")</li><li>GetEventCount ("EVENT\_5", "STEP\_3")</li></ul>                          |

## GetEventStartValue function <a href="#func_geteventstartvalue" id="func_geteventstartvalue"></a>

|               |                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | NUMBER GetEventStartValue (STRING, STRING, NUMBER, STRING, NUMBER)                                                                                                                                                                                                                                                                                                                                                   |
| Parameters:   | <ul><li>Event identification, e.g."EVENT\_1"</li><li>Step identification, if reference to event, otherwise ""</li><li><p>Table block</p><p>(0-Start part, 1-Stop part, 2-Statistics part, 3-Compact view)</p></li><li>Cell in table block, e.g. "B1"</li><li><p>Compression method</p><p>(0=Average, 1=Sum, 2=Standard deviation, 3=Median, 4=Number of valid values, 5=Lowest value, 6=Highest value)</p></li></ul> |
| Return value: | Value at event start                                                                                                                                                                                                                                                                                                                                                                                                 |
| Description:  | Output of the value at the event start time of the variable entered in the selected cell.                                                                                                                                                                                                                                                                                                                            |
| Example:      | <p>GetEventStartValue ("EVENT\_1", "", 2, "B1", 1)</p><p>If this function is called at the day compression level, it returns the sum total of cell B1 from the statistics part for all events beginning on that day.</p>                                                                                                                                                                                             |

## GetEventStopValue function <a href="#func_geteventstopvalue" id="func_geteventstopvalue"></a>

|               |                                                                                                                                                                                                                                                                                                                                                                                                                      |
| ------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Syntax:       | NUMBER GetEventStopValue (STRING, STRING, NUMBER, STRING, NUMBER)                                                                                                                                                                                                                                                                                                                                                    |
| Parameters:   | <ul><li>Event identification, e.g."EVENT\_1"</li><li>Step identification, if reference to event, otherwise ""</li><li><p>Table block</p><p>(0-Start part, 1-Stop part, 2-Statistics part, 3-Compact view)</p></li><li>Cell in table block, e.g. "B1"</li><li><p>Compression method</p><p>(0=Average, 1=Sum, 2=Standard deviation, 3=Median, 4=Number of valid values, 5=Lowest value, 6=Highest value)</p></li></ul> |
| Return value: | NUMBER                                                                                                                                                                                                                                                                                                                                                                                                               |
| Description:  | <p>Output of the value at the event end time of the selected cell.</p><p>The output is at the intervals of the end time, meaning a value can appear in the interval even although GetEventCount returns 0 in this interval.</p>                                                                                                                                                                                      |
| Example:      | <p>GetEventStopValue("EVENT\_1", "", 2, "B1", 1)</p><p>If this function is called at the day compression level, it delivers the sum total of cell B1 from the statistics part for all events EVENT\_1 ending on that day.</p>                                                                                                                                                                                        |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.videc.de/acron-9.3/en/intro/funktionen/funk_batch.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
